{
  description = "The website hosted at https://polynom.me";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    assets.url = "git+https://git.polynom.me/polynom.me/shared-assets.git";
  };

  outputs = {
    self,
    nixpkgs,
    assets
  }: let
    supportedSystems = [ "x86_64-linux" ];
    forAllSystems = nixpkgs.lib.attrsets.genAttrs supportedSystems;
  in {
    devShell = forAllSystems (system: let
      pkgs = import nixpkgs { inherit system; };
      tailwindWithTypography = pkgs.nodePackages.tailwindcss.overrideAttrs (old: {
        plugins = [
          pkgs.nodePackages."@tailwindcss/typography"
        ];
      });

    in pkgs.mkShell {
      buildInputs = with pkgs; [
        tailwindWithTypography zola
      ];
    });
  };
}
